summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorsmls2015-07-10 22:04:18 +0200
committersmls2015-07-10 22:04:18 +0200
commit6db6834ea19658e76ff7b14785b38dfd2e98dd1e (patch)
tree139665e12add30c680b71262550f8c8bdfed19fa
parentb091f1a22cf27a8a9b86b3bb29f6c74b4ad44305 (diff)
downloadaur-arxfatalis-data-copy.tar.gz
"local://" source does not work for folders; use custom handling again instead
-rw-r--r--.SRCINFO2
-rw-r--r--PKGBUILD19
2 files changed, 13 insertions, 8 deletions
diff --git a/.SRCINFO b/.SRCINFO
index eb47904973c..c9b71eb8acd 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -12,9 +12,7 @@ pkgbase = arxfatalis-data-copy
conflicts = arx-fatalis-data-gog
conflicts = arx-fatalis-data-demo
replaces = arx-fatalis-data-copy
- source = local://arx fatalis/
source = arx-install-data
- md5sums = SKIP
md5sums = fc5456e4c213af243b65862db8d5db0a
pkgname = arxfatalis-data-copy
diff --git a/PKGBUILD b/PKGBUILD
index 05f50959fd3..3a5e471d82a 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -14,13 +14,20 @@ conflicts=('arxfatalis-data-gog' 'arxfatalis-data-demo'
optdepends=('arxlibertatis: native Linux game executable')
PKGEXT='.pkg.tar'
-_gamefolder="arx fatalis"
-source=("local://$_gamefolder/"
- "arx-install-data") # from http://arx.vg/arx-install-data
-md5sums=('SKIP'
- 'fc5456e4c213af243b65862db8d5db0a')
+source=("arx-install-data") # from http://arx.vg/arx-install-data
+md5sums=('fc5456e4c213af243b65862db8d5db0a')
+
+_gamefolder="Arx Fatalis"
package() {
+ _realfolder="$(realpath "$startdir/$_gamefolder")"
+
+ if [[ ! -e $_realfolder ]]; then
+ error "Existing game installation folder not found"
+ echo " Please symlink it to '$startdir/$_gamefolder'"
+ exit 1
+ fi
+
chmod +x arx-install-data
- ./arx-install-data --batch "$_gamefolder" "$pkgdir/usr/share/arx"
+ ./arx-install-data --batch "$_realfolder" "$pkgdir/usr/share/arx"
}